Tp::GenericPropertyFilter< T > Class Template Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions | List of all members
Tp::GenericPropertyFilter< T > Class Template Reference
Utililty classes

The GenericPropertyFilter class provides a generic filter object to be used to filter objects by properties. More...

`#include <TelepathyQt/GenericPropertyFilter>`

Inherits Tp::Filter< T >.

## Public Member Functions
virtual | ~GenericPropertyFilter ()
virtual bool | isValid () const
virtual bool | matches (const SharedPtr< T > &t) const
QVariantMap | filter () const
void | addProperty (const QString &propertyName, const QVariant &propertyValue)
void | setProperties (const QVariantMap &filter)
Public Member Functions inherited from Tp::Filter< T >
virtual | ~Filter ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Protected Member Functions
| GenericPropertyFilter ()
Protected Member Functions inherited from Tp::Filter< T >
| Filter ()

## Detailed Description

### template<class T>
class Tp::GenericPropertyFilter< T >

The GenericPropertyFilter class provides a generic filter object to be used to filter objects by properties.

Specialized classes such as AccountPropertyFilter are also provided and should be used where appropriate.

## Constructor & Destructor Documentation

template<class T>

virtual Tp::GenericPropertyFilter< T >::~GenericPropertyFilter | ( |  | ) |
| inlinevirtual

template<class T>

Tp::GenericPropertyFilter< T >::GenericPropertyFilter | ( |  | ) |
| inlineprotected

## Member Function Documentation

template<class T>

virtual bool Tp::GenericPropertyFilter< T >::isValid | ( |  | ) | const
| inlinevirtual

Reimplemented from Tp::Filter< T >.

Reimplemented in Tp::AccountPropertyFilter.

template<class T>

virtual bool Tp::GenericPropertyFilter< T >::matches | ( | const SharedPtr< T > & | t | ) | const
| inlinevirtual

Reimplemented from Tp::Filter< T >.

template<class T>

QVariantMap Tp::GenericPropertyFilter< T >::filter | ( |  | ) | const
| inline

template<class T>

void Tp::GenericPropertyFilter< T >::addProperty | ( | const QString & | propertyName,
|  | const QVariant & | propertyValue
| ) |  |
| inline

template<class T>

void Tp::GenericPropertyFilter< T >::setProperties | ( | const QVariantMap & | filter | ) |
| inline